#include <stdio.h>
int main()
{
    int n, k, p[100000], i, j;

    scanf("%d%d", &n, &k);
    for (i = 0; i < n; i++)
    {
        scanf("%d", &p[i]);
        if (k == p[i])
            j = i;
    }
    if (j == n - 1)
        printf("%d", p[0]);
    else
        printf("%d", p[j + 1]);

    return 0;
}